Polkadot REST API Methods

📘

See the Polkadot RPC API connection guide.

accounts

MethodNotesCompute Unit Value
GET /v1/accounts/compareReturns the requested account comparison data.5
GET /v1/accounts/{accountId}/asset-approvalsReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/asset-balancesReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/balance-infoReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/convertReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/foreign-asset-balancesReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/pool-asset-approvalsReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/pool-asset-balancesReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/proxy-infoReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/staking-infoReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/staking-payoutsReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/validateReturns account information for this endpoint.5
GET /v1/accounts/{accountId}/vesting-infoReturns account information for this endpoint.5

ahm

MethodNotesCompute Unit Value
GET /v1/ahm-infoReturns AHM status information.5

blocks

MethodNotesCompute Unit Value
GET /v1/blocksReturns a range of blocks.50
GET /v1/blocks/headReturns the most recently produced block.5
GET /v1/blocks/head/headerReturns the header of the most recently produced block.1
GET /v1/blocks/{blockId}Returns a block identified by its hash, height, or a supported block tag.5
GET /v1/blocks/{blockId}/extrinsics-rawReturns the SCALE-encoded extrinsics for a block.5
GET /v1/blocks/{blockId}/extrinsics/{extrinsicIndex}Returns an extrinsic at the specified index in a block.5
GET /v1/blocks/{blockId}/headerReturns the header for a block.1
GET /v1/blocks/{blockId}/para-inclusionsReturns parachain-inclusion data for a relay-chain block.5

capabilities

MethodNotesCompute Unit Value
POST /v1/capabilitiesEvaluates the requested API capabilities and returns supported capability information.5

coretime

MethodNotesCompute Unit Value
GET /v1/coretime/infoReturns Coretime info information.5
GET /v1/coretime/leasesReturns Coretime leases information.5
GET /v1/coretime/overviewReturns Coretime overview information.5
GET /v1/coretime/regionsReturns Coretime regions information.5
GET /v1/coretime/renewalsReturns Coretime renewals information.5
GET /v1/coretime/reservationsReturns Coretime reservations information.5

health

MethodNotesCompute Unit Value
GET /v1/healthReturns the REST API health status.5

node

MethodNotesCompute Unit Value
GET /v1/node/networkReturns node network information.5
GET /v1/node/transaction-poolReturns pending extrinsics from the transaction pool.10
GET /v1/node/versionReturns node version information.5

pallets

MethodNotesCompute Unit Value
GET /v1/pallets/asset-conversion/liquidity-poolsReturns asset-conversion liquidity-pool information.5
GET /v1/pallets/asset-conversion/next-available-idReturns the next available asset-conversion identifier.5
GET /v1/pallets/assets/{assetId}/asset-infoReturns information and metadata for an asset.5
GET /v1/pallets/foreign-assetsReturns foreign-asset information.5
GET /v1/pallets/nomination-pools/infoReturns nomination-pool information.5
GET /v1/pallets/nomination-pools/{poolId}Returns nomination-pool information.5
GET /v1/pallets/on-going-referendaReturns the ongoing referenda.5
GET /v1/pallets/pool-assets/{assetId}/asset-infoReturns information and metadata for a pool asset.5
GET /v1/pallets/staking/progressReturns staking-progress information.10
GET /v1/pallets/staking/validatorsReturns staking-validator information.5
GET /v1/pallets/{palletId}/constsReturns the constants defined by a pallet.5
GET /v1/pallets/{palletId}/consts/{constantItemId}Returns a constant defined by a pallet.5
GET /v1/pallets/{palletId}/dispatchablesReturns the dispatchable calls defined by a pallet.5
GET /v1/pallets/{palletId}/dispatchables/{dispatchableItemId}Returns a dispatchable call defined by a pallet.5
GET /v1/pallets/{palletId}/errorsReturns the errors defined by a pallet.5
GET /v1/pallets/{palletId}/errors/{errorItemId}Returns an error defined by a pallet.5
GET /v1/pallets/{palletId}/eventsReturns the events defined by a pallet.5
GET /v1/pallets/{palletId}/events/{eventItemId}Returns an event defined by a pallet.5
GET /v1/pallets/{palletId}/storageReturns the storage-item metadata for a pallet.10
GET /v1/pallets/{palletId}/storage/{storageItemId}Returns a storage item and its value for a pallet.5

paras

MethodNotesCompute Unit Value
GET /v1/paras/{number}/inclusionReturns inclusion information for a parachain.10

rc

MethodNotesCompute Unit Value
GET /v1/rc/accounts/{address}/balance-infoReturns relay-chain account information for this endpoint.5
GET /v1/rc/accounts/{address}/proxy-infoReturns relay-chain account information for this endpoint.5
GET /v1/rc/accounts/{address}/staking-infoReturns relay-chain account information for this endpoint.5
GET /v1/rc/accounts/{address}/staking-payoutsReturns relay-chain account information for this endpoint.5
GET /v1/rc/accounts/{address}/vesting-infoReturns relay-chain account information for this endpoint.5
GET /v1/rc/blocksReturns relay-chain a range of blocks.50
GET /v1/rc/blocks/headReturns relay-chain the most recently produced block.5
GET /v1/rc/blocks/head/headerReturns relay-chain the header of the most recently produced block.1
GET /v1/rc/blocks/{blockId}Returns relay-chain a block identified by its hash, height, or a supported block tag.5
GET /v1/rc/blocks/{blockId}/extrinsics-rawReturns relay-chain the SCALE-encoded extrinsics for a block.5
GET /v1/rc/blocks/{blockId}/extrinsics/{extrinsicIndex}Returns relay-chain an extrinsic at the specified index in a block.5
GET /v1/rc/blocks/{blockId}/headerReturns relay-chain the header for a block.1
GET /v1/rc/blocks/{blockId}/para-inclusionsReturns relay-chain parachain-inclusion data for a relay-chain block.5
GET /v1/rc/node/networkReturns relay-chain node network information.5
GET /v1/rc/node/transaction-poolReturns relay-chain pending extrinsics from the transaction pool.10
GET /v1/rc/node/versionReturns relay-chain node version information.5
GET /v1/rc/pallets/on-going-referendaReturns the ongoing referenda.5
GET /v1/rc/pallets/staking/progressReturns staking-progress information.10
GET /v1/rc/pallets/staking/validatorsReturns staking-validator information.5
GET /v1/rc/pallets/{palletId}/constsReturns the constants defined by a pallet.5
GET /v1/rc/pallets/{palletId}/consts/{constantItemId}Returns a constant defined by a pallet.5
GET /v1/rc/pallets/{palletId}/dispatchablesReturns the dispatchable calls defined by a pallet.5
GET /v1/rc/pallets/{palletId}/dispatchables/{dispatchableItemId}Returns a dispatchable call defined by a pallet.5
GET /v1/rc/pallets/{palletId}/errorsReturns the errors defined by a pallet.5
GET /v1/rc/pallets/{palletId}/errors/{errorItemId}Returns an error defined by a pallet.5
GET /v1/rc/pallets/{palletId}/eventsReturns the events defined by a pallet.5
GET /v1/rc/pallets/{palletId}/events/{eventItemId}Returns an event defined by a pallet.5
GET /v1/rc/pallets/{palletId}/storageReturns the storage-item metadata for a pallet.10
GET /v1/rc/pallets/{palletId}/storage/{storageItemId}Returns a storage item and its value for a pallet.5
GET /v1/rc/runtime/codeReturns relay-chain the current runtime Wasm code.1
GET /v1/rc/runtime/metadataReturns relay-chain the current runtime metadata.1
GET /v1/rc/runtime/metadata/versionsReturns relay-chain the runtime metadata versions supported by the node.1
GET /v1/rc/runtime/metadata/{metadataVersion}Returns relay-chain runtime metadata encoded at a requested metadata version.1
GET /v1/rc/runtime/specReturns relay-chain the current runtime specification information.1
POST /v1/rc/transactionSubmits an encoded transaction to the node.50
POST /v1/rc/transaction/dry-runSimulates an encoded transaction without broadcasting it.5
POST /v1/rc/transaction/fee-estimateReturns relay-chain the estimated fee for an encoded transaction.10
GET /v1/rc/transaction/materialReturns relay-chain the material required to construct a transaction.5
GET /v1/rc/transaction/material/{metadataVersion}Returns relay-chain transaction-construction material for a metadata version.5

runtime

MethodNotesCompute Unit Value
GET /v1/runtime/codeReturns the current runtime Wasm code.1
GET /v1/runtime/metadataReturns the current runtime metadata.1
GET /v1/runtime/metadata/versionsReturns the runtime metadata versions supported by the node.1
GET /v1/runtime/metadata/{metadataVersion}Returns runtime metadata encoded at a requested metadata version.1
GET /v1/runtime/specReturns the current runtime specification information.1

transaction

MethodNotesCompute Unit Value
POST /v1/transactionSubmits an encoded transaction to the node.50
POST /v1/transaction/dry-runSimulates an encoded transaction without broadcasting it.5
POST /v1/transaction/fee-estimateReturns the estimated fee for an encoded transaction.10
GET /v1/transaction/materialReturns the material required to construct a transaction.5
GET /v1/transaction/material/{metadataVersion}Returns transaction-construction material for a metadata version.5
POST /v1/transaction/metadata-blobCreates a metadata blob for transaction construction.5
POST /v1/transaction/parseParses an encoded transaction.5